--- title: "getWorkflow" slug: "analytics-dataflow-getworkflowbyid" updated: 2026-10-08T04:22:45Z published: 2026-10-08T04:22:45Z canonical: "api.ncloud-docs.com/analytics-dataflow-getworkflowbyid" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getWorkflow Available in VPC Get workflow details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workflows/{workflowId} | ### Request headers For information about the request headers common to all Data Flow APIs, see [Data Flow request headers](/docs/en/analytics-dataflow#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workflowId` | String | Required | Workflow ID - See [getWorkflows](/docs/en/analytics-dataflow-getworkflows). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://dataflow.apigw.ntruss.com/api/v1/workflows/3tfNLP******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workflowId` | String | - | Workflow ID | | `name` | String | - | Workflow name | | `nodes` | Array | - | Node information: [nodes](/docs/en/analytics-dataflow-getworkflowbyid#nodes) | | `createdDate` | String | - | Workflow creation date and time - ISO 8601 format (including UTC+9) | | `updatedDate` | String | - | Workflow modification date and time - ISO 8601 format (including UTC+9) | #### `nodes` The following describes `nodes`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | Node ID - Display `triggerId` or `jobId` according to `type`. | | `name` | String | - | Node name - Display the trigger name or job name according to `type`. | | `type` | String | - | Node type - `TRIGGER` \| `JOB` | | `parentNodeIds` | Array | - | Parent node ID list - Display the ID of the trigger node in the job node object. - Display an empty value for trigger node objects. | | `triggerRule` | String | - | Trigger node execution option information - `RECURRING` \| `ONE_TIME` \| `NONE` - `RECURRING`: Run on a cycle. - `ONE_TIME`: Run on a specific date. - `NONE`: No execution option. | | `isValid` | Boolean | - | Node deletion status (node availability) - `true` \| `false` - `true`: Not deleted (available) - `false`: Deleted (available) | | `jobCondition` | Object | - | Job execution option information | | `jobCondition.numWorker` | Integer | - | Number of workers - 2-10 | | `jobCondition.timeout` | Integer | - | Execution timeout (minute) - 1-1440 | | `jobCondition.nrn` | String | - | NAVER Cloud Platform resource identification value for job | | `jobCondition.scriptPath` | String | - | Job execution script storage path | | `jobCondition.logPath` | String | - | Job execution history storage path | ### Response status codes For information about the response status codes common to all Data Flow APIs, see [Data Flow response status codes](/docs/en/analytics-dataflow#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "workflowId": "3tfNLP******", "name": "workflow001", "nodes": [ { "id": "gqigvHhTu7ra", "name": "job001", "type": "JOB", "parentNodeIds": [ "8bjF7E******" ], "isValid": true, "jobCondition": { "numWorker": 3, "timeout": 360, "nrn": "nrn:PUB:IAM::*******:Role/********-0496-11f0-baf6-246e96591a38", "scriptPath": "dataflow-2706412-****/scripts/", "logPath": "dataflow-2706412-****/sparkHistoryLogs/" } }, { "id": "8bjF7E******", "name": "trigger001", "type": "TRIGGER", "parentNodeIds": [], "triggerRule": "RECURRING" } ], "createdDate": "2025-03-24T14:46:24+09:00", "updatedDate": "2025-03-24T14:46:24+09:00" } ```